Bug 221207 - Want to use session manager but too many problems
Want to use session manager but too many problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 17:59 EST by Bill Case
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Case 2007-01-02 17:59:45 EST
Description of problem:
Specifically with Gnome Sessions
Manager:

Documentation:  The session manager does not match the help documents.

1) "Automatically save changes to session: ....  If you do not select
this option, when you end your session the Logout Confirmation dialog
displays
a Save current setup option."  This does not exist on the log out
dialogue even though it used to.  Logically it might not be any longer
necessary,  but, when nothing else is working the way it is expected to,
then it would be reassuring if not down right useful to save the current
setup option.

2) "Sessions: ... When you log in on GDM, you choose
a session. When you choose a session, you can select which of the
multiple
sessions to use." No 'named' sessions appear on GDM in the sessions box.

Under the Current Session tab:
3) "Order: ... To specify the startup order of an application, select
the application in the table. Use the Order spin box to specify the
startup order value."  I see no discernible change in order whether
setting up the 'default' session or a 'named' session.

4) "Trash: Does not start when you start a GNOME session."  Yes it does.
The trashcan symbol is ignored.

5) "Settings: Starts automatically when you start a  session.
Applications with this style usually have a low startup order, and store
your configuration settings for GNOME and session-managed applications."
All programs start with some preset configuration no matter what I try.
I particularly wanted to set my own size, postion, etc. in some programs
like Evolution, Xchat-Gnome and others.  This preset remains active in
both a 'default' session and a 'named' session.

6) "Remove: Click on the Remove button to delete the selected
application from the list. The application is removed from the session
manager,  and closed. If you save the session after doing this any
deleted applications will not start the next time you start a session."
Not true.  I have removed in the Current Session many programs such as:
Nautilus, Epiphany, and Sessions Manager.  They all reapper.  At logon
nautilus opens in my home directory, epipany over lays it and sessions
manager is on top.

Under the Startup Programs tab:
7) "Additional startup programs: ... If you specify more than one
startup application, use the Priority spin box to specify the startup
order of the each application. The startup order is the order in which
you want the startup applications to start."   There is no spin box to
set priorities.

8) "To edit a startup application, select the startup application, then
click on the Edit button. The Edit Startup Program dialog is displayed.
Use the dialog to modify the command and the startup order for the
startup application."  The start up dialogue starts filled with all same
programs as the Current Session Tab.  Most have greyed out edit and
delete buttons.  Most programs have an '--sm-disable' extension.  It is
confusing to know what the enable/disable button does in the face of
such an extension.  Does it enable or does it disable?  Command options
do not work in application commands in the session manager.  Notecase
jots.ncd on the command line and in a launcher opens the notecase
program with the jots.ncd file showing.  The same command will not
select any file when opening a session.

Besides the documentation problems, an iconfied program will not start
iconified; when multiple programs are started in a worksheet they all
start huddled in the upper left corner.  Most annoying, there seems to
be this preset configuration, not to be confused with the 'default'
session, that I am unable to undo no matter what I try or how many hours
I spent on it.  It used to work for me in FC3, FC4 and FC5.

The only way I can login in an orderly fashion is to first remove or disable all
programs in current session before logging out and to remove and/or disable all
programs in the start up tab.

The net effect is that I have no sessions management, and, I can't work
the way I am used to.


Version-Release number of selected component (if applicable):
Came with FC6 release and/or latest upgrade

How reproducible:
every login/logout

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Wrong programs in wrong workspaces with wrong positioning and wrong sizes


Expected results:

The right programs in the right workspaces with positioning as on exit and sizes
as on exit.

Additional info:
It's all there.
Comment 1 Ray Strode [halfline] 2008-03-18 14:41:51 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.